# Generated by Django 2.2.1 on 2019-07-13 04:24

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('hrms', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('emp_id', models.CharField(max_length=10, unique=True)),
                ('first_name', models.CharField(max_length=50)),
                ('middle_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('address', models.CharField(max_length=255)),
                ('provincial_address', models.CharField(max_length=255)),
                ('date_of_birth', models.DateField()),
                ('gender', models.CharField(max_length=50)),
                ('place_of_birth', models.CharField(max_length=255)),
                ('phone', models.CharField(max_length=255)),
                ('date_hired', models.DateField(null=True)),
                ('contract_expiration', models.DateField(null=True)),
                ('gov_deductions_to_implement', models.CharField(default='', max_length=255)),
                ('sss_option', models.CharField(default='', max_length=255)),
                ('sss_bracket', models.DecimalField(decimal_places=2, default='0', max_digits=7)),
                ('sss_value', models.DecimalField(decimal_places=2, default='0', max_digits=7)),
                ('pagibig_value', models.DecimalField(decimal_places=2, default='0', max_digits=7)),
                ('philhealth_value', models.DecimalField(decimal_places=2, default='0', max_digits=7)),
                ('sss_no', models.CharField(default='', max_length=10, validators=[django.core.validators.MinLengthValidator(10)])),
                ('pagibig_no', models.CharField(default='', max_length=10, validators=[django.core.validators.MinLengthValidator(10)])),
                ('philhealth_no', models.CharField(default='', max_length=12, validators=[django.core.validators.MinLengthValidator(12)])),
                ('tin_no', models.CharField(default='', max_length=12, validators=[django.core.validators.MinLengthValidator(12)])),
                ('civil_status', models.CharField(max_length=255)),
                ('citizenship', models.CharField(max_length=255)),
                ('remarks', models.CharField(default='', max_length=255)),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company', to='hrms.Company')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_canteen',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=7)),
                ('rate_to_deduct', models.DecimalField(decimal_places=2, max_digits=7)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_canteen', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_citizenship',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('citizenship', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Employee_gatepass',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=7)),
                ('rate_to_deduct', models.DecimalField(decimal_places=2, max_digits=7)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_gatepass', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_medical',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=7)),
                ('rate_to_deduct', models.DecimalField(decimal_places=2, max_digits=7)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_medical', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_pagibig_loan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('load_amount', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('rate_to_deduct', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_pag_loan', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_sss_loan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('load_amount', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('rate_to_deduct', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_sss_loan', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_vale',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=7)),
                ('rate_to_deduct', models.DecimalField(decimal_places=2, max_digits=7)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_vale', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employment_record',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('from_date', models.DateField()),
                ('to_date', models.DateField()),
                ('company', models.CharField(default='', max_length=255)),
                ('position', models.CharField(max_length=255)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_rec', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_valeloan_contrib',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payroll', models.IntegerField(default=0)),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_valeloan_contrib', to='employee.Employee')),
                ('vale_loan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_valeloan_company', to='employee.Employee_vale')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_uniform',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=7)),
                ('rate_to_deduct', models.DecimalField(decimal_places=2, max_digits=7)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_uniform', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_sssloan_contrib',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payroll', models.IntegerField(default=0)),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_sssload_contrib', to='employee.Employee')),
                ('sss_loan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_sssloan_company', to='employee.Employee_sss_loan')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_sss',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_sss', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_return_to_work',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('return_on', models.DateField()),
                ('absence_date_start', models.DateField()),
                ('absence_date_end', models.DateField()),
                ('reason', models.CharField(max_length=255)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_return_to_work', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_resume',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('resume', models.FileField(blank=True, upload_to='resume')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_resume', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_requirements',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nbi', models.BooleanField(default=False)),
                ('police', models.BooleanField(default=False)),
                ('barangay', models.BooleanField(default=False)),
                ('medical', models.BooleanField(default=False)),
                ('sss_id', models.BooleanField(default=False)),
                ('ph_id', models.BooleanField(default=False)),
                ('birth_certificate', models.BooleanField(default=False)),
                ('atm_application', models.BooleanField(default=False)),
                ('pagibig_id', models.BooleanField(default=False)),
                ('hs_diploma', models.BooleanField(default=False)),
                ('college_diploma', models.BooleanField(default=False)),
                ('employee_contract', models.BooleanField(default=False)),
                ('certificate_of_employment', models.BooleanField(default=False)),
                ('photo', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_requirements', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_preferences',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('spouse', models.CharField(blank=True, max_length=255, null=True)),
                ('occupation', models.CharField(blank=True, max_length=255, null=True)),
                ('spouse_address', models.CharField(blank=True, max_length=255, null=True)),
                ('character_reference_name', models.CharField(max_length=255)),
                ('character_reference_address', models.CharField(max_length=255)),
                ('character_reference_phone', models.CharField(max_length=255)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_pref', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_picture',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('picture', models.ImageField(upload_to='media/')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_picture', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_philhealth',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_philhealth', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_pagibigloan_contrib',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payroll', models.IntegerField(default=0)),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_pagibigload_contrib', to='employee.Employee')),
                ('pagibig_loan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_pagibigloan_company', to='employee.Employee_pagibig_loan')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_pagibig',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_pagibig', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_memo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('memo', models.FileField(blank=True, upload_to='memo')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_emo', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_medical_contrib',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payroll', models.IntegerField(default=0)),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_medical_contrib', to='employee.Employee')),
                ('medical_loan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_medical_company', to='employee.Employee_medical')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_leave_history',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_date', models.DateField()),
                ('end_date', models.DateField()),
                ('no_of_days', models.IntegerField(default=0)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_leave_history', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_hiring_details',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rate', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('training_rate', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('bank', models.CharField(max_length=255)),
                ('atm', models.CharField(max_length=255)),
                ('position', models.CharField(max_length=255)),
                ('payment_method', models.CharField(max_length=255)),
                ('overtime_formula', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_hr', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_gatepass_contrib',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payroll', models.IntegerField(default=0)),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_gatepass_contrib', to='employee.Employee')),
                ('gatepass_loan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_gatepass_company', to='employee.Employee_gatepass')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_company_loan',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('load_amount', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('rate_to_deduct', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('status', models.BooleanField(default=False)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_com_loan', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_comloan_contrib',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payroll', models.IntegerField(default=0)),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('company_loan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_company', to='employee.Employee_company_loan')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_comload_contrib', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_canteen_contrib',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('payroll', models.IntegerField(default=0)),
                ('cut_off_date', models.DateField()),
                ('contribution_collected', models.DecimalField(decimal_places=2, max_digits=7)),
                ('canteen_loan', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_canteen_company', to='employee.Employee_canteen')),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_canteen_contrib', to='employee.Employee')),
            ],
        ),
        migrations.CreateModel(
            name='Employee_acceptance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('employment_status', models.CharField(max_length=50, null=True)),
                ('start_date', models.DateField(null=True)),
                ('end_date', models.DateField(null=True)),
                ('position', models.CharField(max_length=50, null=True)),
                ('salary_per_day', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('salary_per_month', models.DecimalField(decimal_places=2, max_digits=7, null=True)),
                ('employee', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='employee_acceptance', to='employee.Employee')),
            ],
        ),
    ]
